$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/797/SoftwareIdeasModelerSetup32-11-95.exe'
$url64      = 'https://www.softwareideas.net/Download/File/798/SoftwareIdeasModelerSetup64-11-95.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = '5417ac442c764045c854b540168b170a13c17e1e771f050d760cf55523970f2e'
  checksumType  = 'sha256'
  checksum64    = 'c854beee0342eebb8660f357cc391710102e6f2e0f6ab64f5f9b97511c3efb58'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
